Skip to main content

DESCRIBE JOB_RUN

Description

Show the configurations for a specified Job run.

Note that the SQL statement does not end with ;

Syntax

DESCRIBE JOB_RUN `<job_run_id>`
JOB_NAME = <string>

Examples

DESCRIBE JOB_RUN `acde070d-8c4c-4f0d-9d8a-162843c10333`
JOB_NAME = 'my_job'

Required parameters

  • <job_run_id>: Specify the ID of the Job run to describe. Note, this should be surrounded by backticks (`), NOT single-quotes.
  • JOB_NAME: Specify the name of the Job that was run.

Status API

Example Status API response

The Status API response of the Job description.

{
"apiStatus": "API_OPERATION_STATUS_SUCCESS",
"apiResponse": {
"describeJobRunApiResponse": {
"sparkJobRun": {
"id": "<job_run_id>",
"status": "<job_run_status>",
"sparkUiEndpoint": "<spark_ui_endpoint>",
"submittedAt": "YYYY-MM-DDTHH:MM:SS.ssssssZ",
"endedAt": "YYYY-MM-DDTHH:MM:SS.ssssssZ",
"sparkJobId": "<spark_job_id>",
"jobRunUrl": "<job_run_url>"
}
}
}
}

Response fields

  • sparkJobId: The UUID of the parent Job that this run belongs to. Empty string if the parent Job ID is not available.
  • jobRunUrl: A deep-link to the Job run's page in the Onehouse UI. Empty string if a URL is not available.